MyQ REST API documentation

Certificates

GET /v3/certificates/root

Get public key of CA root certificate.

If CA mode is set to:

  • Built-in - self-signed CA certificate is returned;

  • Company - company's CA root certificate is returned;

  • Manual - server certificate is returned.

Headers:
Content-Type: application/json

Authentication:
# No auth required


GET /v3/certificates/ca

Get public key of intermediate CA certificate.

If CA mode is set to:

  • Built-in - self-signed CA certificate is returned;

  • Company - intermediate CA certificate is returned;

  • Manual - server certificate is returned.

Headers:
Content-Type: application/json

Authentication:
# No auth required


GET /v3/certificates/server

Get public key of server certificate

Headers:
Content-Type: application/json

Authentication:
# No auth required


POST /v3/certificates/device

Creates new certificate for device signed by intermediate CA certificate.

If CSR is provided then other parameters are skipped, public key of signed certificate is returned. Otherwise CSR is created using other parameters, public key combined with private key is returned.

Headers:
Content-Type: application/json
Authentication: Bearer %access_token%

Authentication:
Grant_type: client_credentials
Scopes: [ cert.manage ]

Request body:
{
  "csr": "string",
  "cn": "string",
  "alterNames": [
    "string"
  ]
}